Method: customers.enrollmentTokens.list

Lists all browser device enrollment tokens.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/enrollmentTokens

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this enrollment token will be created. Format: customers/{customer}

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of results to return. Maximum and default are 100.

pageToken

string

Optional. Token to specify next page in the list.

filter

string

Optional. Filter to apply to list results. The following fields can be used in the filter:

  • device_type (currently only "CHROME_BROWSER" is supported)
  • token_state (supported values: "ACTIVE", "EXPIRED", "REVOKED")
  • org_unit_path The full path of the org unit, such as /Montreal/Sales.
  • org_unit_id The obfuscated id of the org unit, not the full path.

Request body

The request body must be empty.

Response body

Response that contains a list of tokens.

If successful, the response body contains data with the following structure:

JSON representation
{
  "enrollmentTokens": [
    {
      object (EnrollmentToken)
    }
  ],
  "nextPageToken": string
}
Fields
enrollmentTokens[]

object (EnrollmentToken)

List of Chrome device enrollment tokens.

nextPageToken

string

Token to retrieve the next page of results, or empty if there are no more results in the list.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chrome.management.enrollmenttokens.readonly
  • https://www.googleapis.com/auth/chrome.management.enrollmenttokens